import type { AppConfig } from "../utils/config";
export interface SinglePassAppProps {
    originalPrompt?: string;
    config: AppConfig;
    rootPath: string;
    onExit?: () => void;
}
export declare function SinglePassApp({ originalPrompt, config, rootPath, onExit, }: SinglePassAppProps): JSX.Element;
declare const _default: {};
export default _default;
